// UtenteDoc.h : interface of the CUtenteDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_UTENTEDOC_H__E717C0FB_C633_4F23_989A_1D597517AA52__INCLUDED_)
#define AFX_UTENTEDOC_H__E717C0FB_C633_4F23_989A_1D597517AA52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CConn;

class CUtenteDoc : public CDocument
{
protected: // create from serialization only
	CUtenteDoc();
	DECLARE_DYNCREATE(CUtenteDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUtenteDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	//}}AFX_VIRTUAL

// Implementation
public:
	void ResetConn();
	BOOL ConnettiName();
	void VisualizzaStat();
	CString m_strDescStanza;
	CString m_strNameStanza;
	CString m_NameServer;
	CString m_strAddStanza;
	int m_nPort;
	BOOL Connetti(LPCTSTR nick, LPCTSTR adr, int port);
	void Read();
	void Visualizza(LPCTSTR testo);
	CConn* m_pConn;
	void Send(CString& strTesto);
	void Receive();
	CArchive* m_pOut;
	CArchive* m_pIn;
	
	virtual ~CUtenteDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	CSocketFile* m_pStream;
	CString m_strNick;

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CUtenteDoc)
	afx_msg void OnStat();
	afx_msg void OnCambiaNick();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UTENTEDOC_H__E717C0FB_C633_4F23_989A_1D597517AA52__INCLUDED_)
