
class CNameMsg;
class CNameserverDoc;

class CClientUtenti : public CSocket
{
	DECLARE_DYNAMIC(CClientUtenti);

// Construction
public:
	CClientUtenti(CNameserverDoc* m_pDoc);

// Attributes
public:
	CSocketFile* m_pStream;
	CArchive* m_pIn;
	CArchive* m_pOut;
	CNameserverDoc* m_pDoc;

// Operations
public:
	void Init();
	void SendMsg(CNameMsg* pMsg);
	void ReceiveMsg(CNameMsg* pMsg);

// Overridable callbacks
protected:
	virtual void OnReceive(int nErrorCode);

// Implementation
public:
	virtual ~CClientUtenti();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};
