

#include "stdafx.h"
#include "lstStanze.h"
#include "nameServerDoc.h"

CListeningStanze::CListeningStanze(CNameserverDoc* pDoc)
{
	m_pDoc = pDoc;
}

/////////////////////////////////////////////////////////////////////////////
// CListeningStanze Overridable callbacks

void CListeningStanze::OnAccept(int nErrorCode)
{
	CSocket::OnAccept(nErrorCode);
	m_pDoc->AccettaStanza();
}

/////////////////////////////////////////////////////////////////////////////
// CSocket Implementation

CListeningStanze::~CListeningStanze()
{
}

#ifdef _DEBUG
void CListeningStanze::AssertValid() const
{
	CSocket::AssertValid();
}

void CListeningStanze::Dump(CDumpContext& dc) const
{
	CSocket::Dump(dc);
}
#endif //_DEBUG

IMPLEMENT_DYNAMIC(CListeningStanze, CSocket)
