

#include "stdafx.h"
#include "lstUtenti.h"
#include "nameserverDoc.h"

CListeningUtenti::CListeningUtenti(CNameserverDoc* pDoc)
{
	m_pDoc = pDoc;
}

/////////////////////////////////////////////////////////////////////////////
// CListeningUtenti Overridable callbacks

void CListeningUtenti::OnAccept(int nErrorCode)
{
	CSocket::OnAccept(nErrorCode);
	m_pDoc->AccettaUtenti();
}

/////////////////////////////////////////////////////////////////////////////
// CSocket Implementation

CListeningUtenti::~CListeningUtenti()
{
}

#ifdef _DEBUG
void CListeningUtenti::AssertValid() const
{
	CSocket::AssertValid();
}

void CListeningUtenti::Dump(CDumpContext& dc) const
{
	CSocket::Dump(dc);
}
#endif //_DEBUG

IMPLEMENT_DYNAMIC(CListeningUtenti, CSocket)
