

#include "stdafx.h"
#include "..\nameserver\nameMsg.H"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNameMsg

IMPLEMENT_SERIAL(CNameMsg, CObject,1)

/////////////////////////////////////////////////////////////////////////////
// CNameMsg construction/destruction

CNameMsg::CNameMsg()
{
	Init();
}

CNameMsg::CNameMsg(LPCTSTR name, LPCTSTR server, int port, LPCTSTR desc, UINT t2l): m_TS2L(0,0,t2l,0) 	
{
	m_strName = name;
	m_strAdd = server;
	m_strDesc = desc;
	m_nPort = port;
}


CNameMsg::~CNameMsg()
{
}

/////////////////////////////////////////////////////////////////////////////
// CNameMsg Operations

void CNameMsg::Init()
{	
	m_strName = _T("");
	m_strAdd = _T("");
	m_strDesc = _T("");
	m_nPort = 0;
}

// L'uguaglianza si basa solo sul nome
BOOL CNameMsg::operator ==(const CNameMsg& msg) const
{
	return m_strName == msg.m_strName;
}


/////////////////////////////////////////////////////////////////////////////
// CNameMsg serialization

void CNameMsg::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		
		ar << m_strName;
		ar << m_strAdd;
		ar << m_strDesc;
		ar << m_nPort;
		ar << m_TS2L;
		ar << m_nTries;
		
	}
	else
	{
		ar >> m_strName;
		ar >> m_strAdd;
		ar >> m_strDesc;
		ar >> m_nPort;
		ar >> m_TS2L;
		ar >> m_nTries;
	}
}

/////////////////////////////////////////////////////////////////////////////
// CNameMsg diagnostics

#ifdef _DEBUG
void CNameMsg::AssertValid() const
{
	CObject::AssertValid();
}

void CNameMsg::Dump(CDumpContext& dc) const
{
	CObject::Dump(dc);
}
#endif _DEBUG
