// Msg.h: interface for the CMsg class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MSG_H__65D090D1_F45B_4F42_83E1_54B3D0740832__INCLUDED_)
#define AFX_MSG_H__65D090D1_F45B_4F42_83E1_54B3D0740832__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMsg : public CObject  
{
protected:
	DECLARE_SERIAL(CMsg)
public:
	CMsg();
	virtual ~CMsg();
	void Init();
	virtual void Serialize(CArchive& ar);
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:
	// utilizzato per spedire messaggi da Utente a stanza
	CString m_strText;
	// Indica la volonta di interrompere la comunicazione, pu essere usato da entrambi
	BOOL m_bClose;
	// utilizzato per spedire messaggi da Stanza ad utente (posso essere anche pi d'uno accorpati in un unico CMsg)
	CStringList m_msgList;

};

#endif // !defined(AFX_MSG_H__65D090D1_F45B_4F42_83E1_54B3D0740832__INCLUDED_)
