

class CNameMsg : public CObject
{
protected:
	DECLARE_SERIAL(CNameMsg)
public:
	CNameMsg();
	CNameMsg(LPCTSTR name, LPCTSTR server="localhost", int port=0, LPCTSTR desc=NULL, UINT t2l=0);
	virtual ~CNameMsg();

// Attributes
public:
	CString m_strName; // nome della stanza
	CString m_strAdd; // indirizzo della stanza
	UINT m_nPort; // porta della stanza
	CString m_strDesc; // descrizione

// Operations
public:
	void Init();
	BOOL operator ==(const CNameMsg& msg) const;

// Implementation
public:	
	UINT m_nTries; // numero di prove prima di dichiarare deceduta la stanza
	CTime m_T2L; // time to live
	CTimeSpan m_TS2L; // time span to live
	virtual void Serialize(CArchive& ar);   
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

/////////////////////////////////////////////////////////////////////////////
