// nameserverView.cpp : implementation of the CNameserverView class
//

#include "stdafx.h"
#include "nameserver.h"

#include "nameserverDoc.h"
#include "nameserverView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNameserverView

IMPLEMENT_DYNCREATE(CNameserverView, CEditView)

BEGIN_MESSAGE_MAP(CNameserverView, CEditView)
	//{{AFX_MSG_MAP(CNameserverView)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNameserverView construction/destruction

CNameserverView::CNameserverView()
{
	// TODO: add construction code here
}

CNameserverView::~CNameserverView()
{
}

BOOL CNameserverView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	BOOL bPreCreated = CEditView::PreCreateWindow(cs);
	cs.style &= ~(ES_AUTOHSCROLL|WS_HSCROLL);	// Enable word-wrapping
	cs.style |= ES_READONLY;
	return bPreCreated;
}

/////////////////////////////////////////////////////////////////////////////
// CNameserverView drawing

void CNameserverView::OnDraw(CDC* pDC)
{
	CNameserverDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CNameserverView diagnostics

#ifdef _DEBUG
void CNameserverView::AssertValid() const
{
	CEditView::AssertValid();
}

void CNameserverView::Dump(CDumpContext& dc) const
{
	CEditView::Dump(dc);
}

CNameserverDoc* CNameserverView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CNameserverDoc)));
	return (CNameserverDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CNameserverView message handlers

void CNameserverView::AppendiTesto(LPCTSTR testo)
{
	CString strTemp = testo;
	strTemp += _T("\r\n");
	int len = GetWindowTextLength();
	GetEditCtrl().SetSel(len,len);
	GetEditCtrl().ReplaceSel(strTemp);
}

void CNameserverView::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	if (nIDEvent==ID_CHECK_TIMER)
	{
		GetDocument()->CheckT2L();
	}
	
	CEditView::OnTimer(nIDEvent);
}


