// StanzaDoc.h : interface of the CStanzaDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_STANZADOC_H__EC63579C_9F61_4546_9A22_A6830A7665DD__INCLUDED_)
#define AFX_STANZADOC_H__EC63579C_9F61_4546_9A22_A6830A7665DD__INCLUDED_

#include "LogonDlg.h"	// Added by ClassView



#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CConn;
class CUtenteConn;
class CMsg;
class CConnName;
class CCheckConn;

class CStanzaDoc : public CDocument
{
protected: // create from serialization only
	CStanzaDoc();
	DECLARE_DYNCREATE(CStanzaDoc)


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStanzaDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	//}}AFX_VIRTUAL


// Implementation
public:
	CMsg* GeneraUpdateUtente(CUtenteConn* pUtenteConn);
	void SendTuttiUtenti();
	void SendMsg(CUtenteConn* pUtenteConn, CMsg* pMsg);
	void Visualizza(LPCTSTR testo);
	CMsg* ReadMsg(CUtenteConn* pUtentiConn);
	void Read(CUtenteConn* pUtenteConn);
	void Accetta();
	CConn* m_pConn;
	CStringList m_msgList;
	CPtrList m_UtentiList;
	CCheckConn* m_pCheckConn;
	void OnCloseUtenteConn(CUtenteConn* pSocket);
	void ErroreUtente(CUtenteConn* pUtenteConn);
	void VisualizzaTuttiUtenti();
	void RimuoviUtente(CUtenteConn* pSocket);
	BOOL RegistraName();
	CLogonDlg m_Dialog;
	CString m_strMigra;
	void VisualizzaStat();
	CString m_strNameServer;
	CString m_strDesc;
	CString m_strAdd;
	int m_nPort;
	CString m_strName;
	void CancellaName();
	void ConfermaName(CConnName* pSocket);

	virtual ~CStanzaDoc();
	void RimuoviTuttiUtenti(CUtenteConn* pUtenteConn);
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CStanzaDoc)
	afx_msg void OnStat();
	afx_msg void OnRegistra();
	afx_msg void OnViewUtenti();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL m_bNewMsg;
};




/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STANZADOC_H__EC63579C_9F61_4546_9A22_A6830A7665DD__INCLUDED_)

