#if !defined(AFX_UTENTECONN_H__7129AF42_15DE_4C9E_882D_7642EF51D584__INCLUDED_)
#define AFX_UTENTECONN_H__7129AF42_15DE_4C9E_882D_7642EF51D584__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// UtenteConn.h : header file
//

class CMsg;
class CStanzaDoc;

/////////////////////////////////////////////////////////////////////////////
// CUtenteConn command target

class CUtenteConn : public CSocket
{
	DECLARE_DYNAMIC(CUtenteConn);
// Attributes
public:
	CStanzaDoc* m_pDoc;
	
	CSocketFile* m_Stream;
	CArchive* m_pIn;
	CArchive* m_pOut;
	BOOL IsAborted() { return m_pOut == NULL; }
// Operations
public:
	CUtenteConn(CStanzaDoc* m_pDoc);
	virtual ~CUtenteConn();

// Overrides
public:
	CString m_strNick;
	int m_nNMsg;
	void Abort();
	void Init();
	void ReceiveMsg(CMsg* pMsg);
	void SendMsg(CMsg* pMsg);
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUtenteConn)
	public:
	virtual void OnReceive(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CUtenteConn)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG


// Implementation
protected:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UTENTECONN_H__7129AF42_15DE_4C9E_882D_7642EF51D584__INCLUDED_)
